mir (2.20.2-2ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:13 +0200

mir (2.20.2-2ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:48 +0200

mir (2.20.2-2ubuntu2) questing; urgency=medium

  * debian/rules: 
    - update the disable LTO hack to not apply to a specific ld version
      we got an update and the build issue is still there (lp: #2099790)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jul 2025 15:11:14 +0200

mir (2.20.2-2ubuntu1) questing; urgency=medium

  * debian/patches/0001-glib-285.patch:
    - cherry-pick an upstream changed to fix the tests with glib 2.85
      (lp: #2116068)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jul 2025 10:45:39 +0200

mir (2.20.2-2) unstable; urgency=medium

  * debian/patches:
    + Trivially rebase patches 2003 and 2005.
    + Add 1004_fix-autopkgtest.patch. In tests/acceptance-tests/wayland/
      CMakeLists.txt: Reference expected_wlcs_failures.list with full-path
      relative to builddir, so that autopkgtest's cmake call succeeds in
      finding the file.
  * debian/tests/wlcs:
    + Typo fix in comment.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 11:41:40 +0200

mir (2.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/mir-wlcs-integration.install:
    + Add a new file to mir-wlcs-integration.
  * debian/source/lintian-overrides:
    + Adjust file-line in very-long-line-length-in-source-file override.
  * debian/man:
    + Drop mir-shell.1. No such script anymore in Mir.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 17 Apr 2025 15:44:03 +0200

mir (2.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1004_fix-lomiri-crash-on-app-close.patch. Patch rejected upstream.
      Different solution provided in qtmir (>= 0.8.0~git20250319.5ab362a-1).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 10:21:00 +0100

mir (2.20.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 1004_fix-lomiri-crash-on-app-close.patch. Fix Lomiri session crash
      when closing apps.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 21:39:50 +0100

mir (2.20.0-3) unstable; urgency=medium

  * debian/libmiroil7.symbols.armhf:
    + Also drop armhf-specific libmiroil7 symbols. This fixes build failure on
      the armhf architecture.
  * debian/rules:
    + Remove build-generated version.h include files during dh_auto_clean.
      (Closes: #1049012).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 17:41:41 +0100

mir (2.20.0-2) unstable; urgency=medium

  * debian/rules:
    + Run dh_makeshlibs on libmiral7 with -V flag (as there is no .symbols file
      for it anymore).
  * debian/patches:
    + Add 2005_skip-check-miroil-symbols.patch. Skip check-miroil-symbols. Fix
      FTBFS after removal of debian/libmiroil7.symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 09:37:37 +0100

mir (2.20.0-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2025 08:31:17 +0100

mir (2.20.0-1~exp2) experimental; urgency=medium

  * debian/control:
    + Add to D: (libmirplatform-dev): libgpm-dev.
  * debian/libmiroil7.symbols:
    + Drop file. Too hard to maintain cross-distro. Not worth the effort.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Mar 2025 08:53:24 +0100

mir (2.20.0-1~exp1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Rename packages for ABI bumps as noted in the upstream changelog.
  * Update the upstream signing key.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Remove the symbols files. While I would very much like to keep and
    maintain these long-term, these block current progress and the rest of the
    team does not wish to maintain them. Drop them for now, with the intention
    that they will be back, if I do future updates.
  * Use ${DEB_HOST_MULTIARCH} instead of usr/lib/* in debian/*.install.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:23:51 +0100

mir (2.19.3-2) experimental; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 21 Feb 2025 13:44:11 -0600

mir (2.19.3-1) experimental; urgency=medium

  * New upstream release:
    - Rename binary packages for ABI bumps:
      + libmirserver58t64 -> libmirserver62
      + libmirplatform26t64 -> libmirplatform30
      + libmircommon9t64 -> libmircommon11
      + mir-platform-graphics-x20 -> mir-platform-graphics-x22
      + mir-platform-graphics-gbm-kms20 -> mir-platform-graphics-gbm-kms22
      + mir-platform-graphics-eglstream-kms20 ->
        mir-platform-graphics-eglstream-kms22
      + mir-platform-graphics-wayland20 -> mir-platform-graphics-wayland22
      + mir-platform-rendering-egl-generic20 ->
        mir-platform-rendering-egl-generic22
      + mir-platform-input-evdev8 -> mir-platform-input-evdev10
      + libmiral5t64 -> libmiral7
      + libmiroil3t64 -> libmiroil5
      + libmirwayland4t64 -> libmirwayland5
    - Add several additional packages.
    - Refresh patches:
      + debian/patches/1003_cross.patch
      + debian/patches/2002_dont-dpkg-gensymbols-by-upstream.patch
      + debian/patches/2003_ignore-package-abi-test.patch
    - Remove patches (applied upstream):
      + debian/patches/0001_add-missing-header-for-count_if.patch
      + debian/patches/1002_arch-indep-only-install-target.patch
      + debian/patches/2001_time64.patch
    - Add a build dependency on libxcb-randr0-dev.
    - debian/mir-demos.install: refresh installed files.
  * Add symbols files for each library file based on upstream's.
  * Remove the mir-doc package, upstream replaced it with online
    documentation.
  * Remove dh_missing --fail-missing, it is redundant in recent debhelper.
  * Add symbols files for shared libraries and update from amd64 build logs.
  * Add debian/upstream/signing-key.asc from upstream's signing key.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 21 Feb 2025 02:51:41 -0600

mir (2.14.1-8) unstable; urgency=medium

  * debian/control:
    + Add B-D: libclang-dev.
  * debian/rules:
    + Set XDG_RUNTIME_DIR to /tmp during unit tests.
    + Set more compiler quirks on ppc64el and apply them when build with gcc-12,
      gcc-13 and gcc-14.
    + Set compiler quirks on riscv64 for gcc-12, gcc-13 and gcc-14.
    + Disable pre-compiled headers for gcc-12, gcc-13 and gcc-14.
    + Provide build home and rundir for unit tests.
    + Build on arm64, armhf and armel with -DMIR_LINK_TIME_OPTIMIZATION=ON.
    + Always disable LTO. (Closes: #1081267).
    + Move some code blocks further up to better match with upstream's d/rules
      file.
    + Build with -DMIR_RUN_ACCEPTANCE_TESTS=OFF on arm64 (cherry-picked from
      upstream).
    + Ignore test failures for now.
  * debian/patches:
    + Add 2003_ignore-package-abi-test.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 17:11:48 +0100

mir (2.14.1-7) unstable; urgency=medium

  * debian/patches:
    + Add 0001_add-missing-header-for-count_if.patch. Fix FTBFS against GCC-14.
      (Closes: #1075277).
  * debian/*.symbols:
    + Drop files. (Closes: #1015543).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 10:37:55 +0200

mir (2.14.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/:
    + Improve cross building: Use packages mir_wayland_generator during cross
      builds. (Closes: #1069578)
  * debian/control:
    + Fix noinsttest build profile: skip package mir-wlcs-integration.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Apr 2024 10:25:29 +0200

mir (2.14.1-5) unstable; urgency=medium

  [ Matthias Klose ]
  * debian/patches:
    + Add 2001_time64.patch. Fix FTBFS with time_t64. (Closes: #1064171).

  [ Mike Gabriel ]
  * debian/patches:
    + Trivially rebase 2002_dont-dpkg-gensymbols-by-upstream.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Mar 2024 07:29:01 +0100

mir (2.14.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064171

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:03:56 +0000

mir (2.14.1-4) unstable; urgency=medium

  * debian/control: Bump required wlcs version

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 10 Aug 2023 23:40:32 +0200

mir (2.14.1-3) unstable; urgency=medium

  * debian/tests: Add missing dummy function required with newer cmake

 -- Marius Gripsgard <mariogrip@debian.org>  Mon, 07 Aug 2023 02:58:35 +0200

mir (2.14.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump standard version

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 06 Aug 2023 20:05:14 +0200

mir (2.14.1-1) experimental; urgency=medium

  * New upstream release v2.14.1
  * debian/*: Bump libmirplatform abi/SONAME to 26
  * debian/symbols: Add new symbols from upstream release
  * debian/*: Add new package mir-platform-rendering-egl-generic to reflect
    upstream release
  * Revert "debian/watch: Pull releases out of the GitHub API endpoint."
    as upstream stopped shipping gpg signatures (or forgot to publish?)
  * debian/patches: Drop unused patch
  * debian/lintial-overrides: Drop unused override
  * debian/control: Add my new debian email
  * debian/control: Fixup lintian warnings
  * debian/copyright: refresh copyright to match upstream

 -- Marius Gripsgard <mariogrip@debian.org>  Sat, 29 Jul 2023 01:26:30 +0200

mir (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libmiral5.symbols:
    + Add symbols from new upstream release
  * debian/patches/2001_dfsg-disable-shared-libraries-tests.patch:
    + Drop; we no longer strip the data for these tests from the upstream
      tarball, so we don't need to disable these tests.
  * debian/watch:
    + Pull releases from the GitHub API endpoint
    + Use new upstream GPG signing key
  * debian/control:
    + Update for libmirplatform24->libmirplatform25 SONAME bump
    + Move off transitional Build-Depends:
      - libfreetype6-dev -> libfreetype-dev
      - libgles2-mesa-dev -> libgles-dev
      - libegl1-mesa-dev -> libegl-dev
      - pkg-config -> pkgconf
    + Add xwayland Build-Depends; now needed for test suite

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 23 Mar 2023 17:15:27 +1100

mir (2.12.1-1) unstable; urgency=medium

  [ Christopher James Halse Rogers ]
  * debian/copyright:
    + Don't repack original tarball
  * debian/tests/:
    + Add DEP8 test using WLCS

  [ Mike Gabriel ]
  * New upstream release.
  * debian/rules:
    + In get-orig-source target, don't repack orig tarball anymore.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/tests/wlcs:
    + Assure that a test-HOME and a test-XDG_RUNTIME_DIR exist.
  * debian/watch:
    + Drop dversionmangle and repacksuffix options.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 15:50:51 +0100

mir (2.12.0+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Add to D (libmirwayland-dev): libwayland-dev and libmircommon-dev, to
      fulfill the requirements of the pkg-config file of libmirwayland-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Feb 2023 09:36:37 +0100

mir (2.12.0+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Make mir-platform-graphics-eglstream-kms only available on amd64+i386
      architectures. (Closes: #1030206).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 21:43:08 +0100

mir (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1003 and 1004 (applied upstream, obsolete), trivially rebase
      1002 and 2001.
  * debian/control:
    + Bump versioned B-D: wlcs (>= 1.5.0).
  * debian/mir-demos.install:
    + Drop script fake-mir-kiosk. Discontinued upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 20:11:29 +0100

mir (2.11.0+dfsg-4) unstable; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:21:20 +0100

mir (2.11.0+dfsg-3) experimental; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Work-around libmiral{5,-dev} having another version
    number when depending on other Mir bin:pkgs of the same build.

 -- Marius Gripsgard <marius@ubports.com>  Mon, 09 Jan 2023 23:09:26 +0100

mir (2.11.0+dfsg-2) experimental; urgency=medium

  * debian/patches:
    + Trivial rebase of patches 1002, 2001 and 2022.
    + Add 1003_typo-fixes.patch and 1004_sh-using-bashisms.patch.
  * debian/control:
    + Drop duplicate B-D libxcb-composite0-dev.
    + Add B-Ds: symlinks, rdfind.
  * debian/rules:
    + Apply symlinks and rdfind to API doc files.
  * debian/copyright:
    + Update once more, drop now unused license texts.
  * debian/libmir*.symbols:
    + Add Build-Depends-Package: meta data fields.
  * debian/man/:
    + Drop maintainer man pages for binaries removed from Mir upstream.
  * debian/mir-test-tools.manpages:
    + Adjust to man page removal.
  * lintian:
    + Adjust overrides to new lintian syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Jan 2023 15:40:38 +0100

mir (2.11.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental.

  [ Marius Gripsgard ]
  * New upstream release.
  * debian/*:
    + Adjust to build mir 2.11.
  * debian/patches:
    + Drop upstreamed patches.
    + Refresh patches.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file for 2.10.0.
    + Update auto-generated copyright.in file for 2.11.0.
    + Merge in copyright changes from copyright.in file, more manual fine-tuning
      needed (for 2.10.0).
    + Manually fine-tune attributions until maintainer and lintian are happy
      (for 2.10.0).
    + Adjust attributions for 2.11.0.
  * debian/source/lintian-overrides:
    + Adjust lintian overrides to Mir 2.10.0.
  * debian/control:
    + Dependency fixes missed by Marius after upstream SOVERSION bumps.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Jan 2023 00:06:55 +0100

mir (1.8.2+dfsg-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Mike Gabriel ]
  * debian/libmirprotobuf3.symbols:
    + Update .symbols after upload of new protobuf library. (Closes: #1025262).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Dec 2022 21:38:44 +0100

mir (1.8.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    + Fix Alpine/edge (gtest).
    + Fix FTBFS with GCC-12. (Closes: #1012998)
  * debian/control:
    + Update standards version to 4.6.1, no changes needed.
    + Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata.

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Oct 2022 08:29:30 +0200

mir (1.8.2+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Switch to B-D valgrind-if-vailable.
  * debian/patches:
    + Add 1004_xlib-workaround.patch. Work around Xlib/capnproto naming conflict
      in capnproto 0.9.1. (Closes: #1006416).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 25 Feb 2022 13:52:29 +0100

mir (1.8.2+dfsg-2) unstable; urgency=medium

  * debian/patches: Update patch to include more fixes for ICE bug

 -- Marius Gripsgard <marius@ubports.com>  Wed, 26 Jan 2022 00:52:55 +0100

mir (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release (v1.8.2)
  * debian/patches: Drop upstreamed patches
    + 0001_Fix-Rawhide-FTBFS.patch
      0002_Delete-obsolete-gmock-hack.patch
      0003_Instantiate-parameterized-test-suite-DisplayOrientat.patch
      0004_Add-missing-include.patch
      0005_Fix-compiler-errors.patch
      0006_Fix-FTBFS-when-building-with-gcc-11.patch
      0007_Fix-missing-includes-for-GCC-11.patch
  * debian/patches: Refresh patch
    + 1001_typo-fixes.patch
  * debian/patches: Add 1003-workaround-gcc-ICE-bug (Closes: 1003275)

 -- Marius Gripsgard <marius@ubports.com>  Mon, 24 Jan 2022 04:06:33 +0100

mir (1.8.0+dfsg1-19) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/patches:
    + Add 0006_Fix-FTBFS-when-building-with-gcc-11.patch,
      0007_Fix-more-missing-includes-for-GCC-11.patch and
      0008_Fix-more-missing-includes-for-GCC-11.patch. Fix FTBFS when building
      with gcc 11. (Closes: 984239).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/patches:
    + Comply with patch naming scheme. (See d/p/README).
    + Mark Debian-specific patches as such.
    + Add 0009_use-python3.patch. 'python' is not a valid shebang interpreter
      anymore.
  * debian/control:
    + Shorten synopsis of libmirwayland* bin:pkgs.
    + Add to R (mir-doc): python3 and python3-pil (for png2header.py script in
      examples/ folder).
  * debian/source/lintian-overrides:
    + Ignore several very-long-line-lengh-in-source-file reports. Thanks
      lintian, but these are ok.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Nov 2021 09:35:39 +0100

mir (1.8.0+dfsg1-18) unstable; urgency=medium

  * debian/rules:
    + Run unit tests, but ignore test failures for now, they tend to be flaky
      on some architectures. (Closes: #987909).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 May 2021 10:35:42 +0200

mir (1.8.0+dfsg1-17) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:35:55 +0200

mir (1.8.0+dfsg1-16) unstable; urgency=medium

  * debian/control:
    + Add missing D (libmircore-dev): libmircore1 (same binary version).
      (Closes: #985503).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Mar 2021 09:59:45 +0200

mir (1.8.0+dfsg1-15) unstable; urgency=medium

  * debian/libmiral3.symbols:
    + Update symbols for mip64el and ppc64.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Dec 2020 20:58:00 +0100

mir (1.8.0+dfsg1-14) unstable; urgency=medium

  * debian/*.symbols:
    + Update for mips64el and ppc64 architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Dec 2020 17:01:46 +0100

mir (1.8.0+dfsg1-13) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Drop line-wrappings in some SYNOPSIS fields, improve some LONG_DESCRIPTION
      fields. (Closes: #977270).

  [ Christopher James Halse Rogers ]
  * debian/man/*:
    + Update a few man pages

  [ Alexander Volkov ]
  * debian/{control,rules}:
    + Don't build tests when noinsttest profile is enabled

  [ Adrian Bunk ]
  * debian/rules:
    + Disable LTO also on mips64el and ppc64

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 17 Dec 2020 11:18:07 +0100

mir (1.8.0+dfsg1-12) unstable; urgency=medium

  * debian/patches:
    + Add 0004_Add-missing-include.patch and 0005_Fix-compiler-errors.patch.
      Fixes FTBFS after Boost 1.74 transition. (Closes: #977227).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Dec 2020 20:14:00 +0100

mir (1.8.0+dfsg1-11) unstable; urgency=medium

  * debian/patch:
    + Add 0001_Fix-Rawhide-FTBFS.patch (cherry-picked from upstream). Fix FTBFS
      against latest Mesa. (Closes: #973088).
    + Add 0002_Delete-obsolete-gmock-hack.patch. Drop obsolete GMock hack
      (causing an FTBFS against recent GMock versions).
    + Add 0003_Instantiate-parameterized-test-suite-DisplayOrientat.patch.
      Instantiate parameterized test suite DisplayOrientationSetting. Fix
      test failure against recent GMock.
    + Update patch headers of patches 1001 and 1002.
  * debian/*.symbols:
    + Update for building on arch:alpha.
  * debian/rules:
    + Set MIR_ENABLE_WLCS_TESTS option to off. As recommended by upstream for
      wlcs 1.2.0 and older mir 1.8.0.
    + Add include directive for buildflags.mk.
  * debian/mir-test-tools.install:
    + Drop miral_wlcs_integration.so. Not being built with
      -DMIR_ENABLE_WLCS_TESTS=off.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/lib*.lintian-overrides:
    + Drop files. All shared lib bin:pkgs now have .symbols files.
  * debian/mirtest-dev.lintian-overrides:
    + Drop file. Contains unknown lintian tag
      pkg-config-references-unknown-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Dec 2020 08:30:23 +0100

mir (1.8.0+dfsg1-10) unstable; urgency=medium

  * debian/libmiral3.symbols:
    + One more slight adaptation for s390x builds.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Sep 2020 20:25:49 +0200

mir (1.8.0+dfsg1-9) unstable; urgency=medium

  * debian/*.symbols:
    + Update symbols files using pkgkde-symbolshelper script (next iteration).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 23:19:50 +0200

mir (1.8.0+dfsg1-8) unstable; urgency=medium

  * debian/patches:
    + Add 2001_dont-dpkg-gensymbols-by-upstream.patch. Don't touch
      debian/*.symbols files during build via upstream's CMakeLists.txt
      configuration.
  * debian/libmiral3.symbols:
    + Fix upstream version numbers. The libmiral3 bin:pkg's version is different
      from source:Version.
    + Mark three symbols as MISSING since libmiral3 bin:pkg verison 2.9.
      (Closes: #970232).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 15 Sep 2020 09:16:29 +0000

mir (1.8.0+dfsg1-7) unstable; urgency=medium

  * debian/*.symbols:
    + Update symbols files using pkgkde-symbolshelper script (next iteration).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Sep 2020 21:58:47 +0200

mir (1.8.0+dfsg1-6) unstable; urgency=medium

  * debian/control:
    + Make sure, we don't build on non-Linux architectures. (Two bin:pkgs were
      still arch:any instead of arch:linux-any).
  * debian/*.symbols:
    + Update symbols files using pkgkde-symbolshelper script.
  * debian/rules:
    + Disable unit tests on mispel and riscv64. They simply take to long on
      these architectures and encounter a googletest timeout (600s).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 11 Sep 2020 12:22:58 +0200

mir (1.8.0+dfsg1-5) unstable; urgency=medium

  * debian/control:
    + Add UBports team to Uploaders: field.
    + Add B-D pkg-kde-tools.
  * debian/rules:
    + Set -DMIR_USE_LD=ld configure flag.
    + Enable pkgkde_symbolshelper DH add-on.
  * debian/*.symbols:
    + Create/update symbols files with pkgkde_symbolshelper tool.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 08:45:06 +0200

mir (1.8.0+dfsg1-4) unstable; urgency=medium

  * debian/rules:
    + Binary-only builds require Doxygen run still, so requiring
      override_dh_auto_build-indep for override_dh_auto_build-arch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jul 2020 00:47:56 +0000

mir (1.8.0+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1002_arch-indep-only-install-target.patch. Fully support
      arch-indep-only builds (esp. the install target).
  * debian/rules:
    + Don't run unit tests on arch-indep-only builds.
    + Define an arch-indep-only dh_auto_install override target.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2020 21:47:46 +0200

mir (1.8.0+dfsg1-2) unstable; urgency=medium

  * d/changelog:
    + Fix changelog entry under debian/patches for previous upload stanza.
  * debian/mir-demos.lintian-overrides:
    + Override desktop-command-not-in-package for miral-shell.desktop.
  * debian/rules:
    + Ignore missing doc files on binary-only builds. Fixes FTBFS for
      'dpkg-buildpackage -B' builds.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2020 15:30:18 +0000

mir (1.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #965019).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_Correct-logic-to-locate-gmock-when-gtest-has-package.patch.
      Applied upstream.
    + Rebase 2001_dfsg-disable-shared-libraries-tests.patch.
  * debian/{control,libmirplatform*.install}:
    + Bump SOVERSION (17 -> 18).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Add to R (miral-demos): qtwayland5, xwayland.
    + Don't let libmiral-dev depend on bin:pkg version of libmirclient-dev,
      rather on the same source version.
  * debian/mir-*.install:
    + Update for 1.8.0 release.
  * debian/man/:
    + Drop man pages that no longer have executables.
    + Add mir-shell and miral-terminal man pages.
    + Adapt man page date to 1.8.0 release date.
  * debian/*.manpages:
    + Adjust to added/removed man pages.
  * debian/libmiral3.symbols:
    + Update symbols.
  * debian/rules:
    + Add MIR_FATAL_COMPILE_WARNINGS to COMMON_COMPILE_FLAGS and set it to
      'off'.
  * lintian: Several minor adaptations.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jul 2020 08:17:04 +0200

mir (1.7.0+dfsg1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #904305).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2020 15:03:35 +0100
